## journal-brief 1.1.8

=== tests/requirements.txt ===
pytest-benchmark

=== debian/changelog ===
journal-brief (1.1.8-3) unstable; urgency=medium

  * add dependency on python3-pkg-resources

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 21 Jul 2022 11:26:37 +0200

journal-brief (1.1.8-2) unstable; urgency=medium

  * source-only upload to allow migration

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 12 Jul 2022 11:19:59 +0200

journal-brief (1.1.8-1) unstable; urgency=low

  * Initial release. Closes: #1014372

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 08 Jun 2022 18:55:38 +0200

=== debian/control ===
Source: journal-brief
Section: utils
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-wheel,
               python3-systemd,
               python3-yaml,
               python3-pytest-mock,
               python3-flexmock,
               locales-all
Standards-Version: 4.6.1
Homepage: https://github.com/twaugh/journal-brief/
Rules-Requires-Root: no

Package: journal-brief
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Description: Show interesting new systemd journal entries
 This program can be used to show entries from the systemd
 journal with configurable, flexible filters. Cursor files
 are used to keep information about when journal-brief was
 run for the last time and starts from there. journal-brief
 can output to stdout or send via SMTP.
 .
 journal-brief can, for example, be used to send out e-mail
 after a systemd timer was run, imitating cron's behavior.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/journal-brief-$1\.tar\.gz/ \
  https://github.com/twaugh/journal-brief/tags .*/v?(\d\S+)\.tar\.gz
